Subject: WG: Usage of IPv6 flow label

From: Metzler Jochen <[email-masked]>
Date: Wed, 29 Nov 2000 15:39:05 +0100

1.  draft-metzler-ipv6-flowlabel-00 - the mechanisms proposed in this draft are not something that we should be supporting - it proposes polluting a network layer header with application layer info.  If an application needs to multiplex streams onto a single socket in the way proposed it could equally well format the PDU in an appropriate way without layer pollution.

you missed the thing that it is not the intention of that draft to pollute the 
network layer with application layer information. you are right in a way
that an application can / should handle multiplexing of streams internally. but 
imagine that applications that request a special handling by the network
for every single stream, especially wanting all packets belonging to one
single stream to take the same way through the network. in that case
the application must signal the network which packets belong to which
flow. the flow label would be the right place for doing this, there would
be no mixture of network layers. 
as shown by some other protocols (e.g. HC) it is legitimate  to use lower
layer information on upper layer protocols. if it is e-t-e or mutable a fully 
standardized flow label would help in both cases application and network
design.

best regards
jochen
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------